---
title: "Get Paycode Details"
source_url: https://docs.rapyd.net/en/get-paycode-details.html
lang: en
---

# Get Paycode Details

Retrieve details of a paycode.

This method is relevant to the point-of-sale location that uses the paycode.

To collect a payment with the paycode, you need the `token_id`, `operation_id`, and payment `id` from this method’s response. See [Use Paycode](https://docs.rapyd.net/en/use-paycode.md "Use Paycode").

**Prerequisites**

- Create a payment that generates a paycode for a specific point-of-sale location. See [Create Payment](https://docs.rapyd.net/en/create-payment.md "Create Payment").

> **Note:**
>
> The base URL for the POS production environment is **https://pos.rapyd.net**. It requires its own access key, which is different from the access key for the Payment API. To obtain an access key for the POS production environment and to set up a sandbox environment for the POS API, contact **[Rapyd Client Support](https://support.rapyd.net)**.

### Parameters

### Request Path Parameters

- - pos (string, required)
  - ID of the point-of-sale location.
- - paycode (string, required)
  - Paycode content.

### Request Header Parameters

- - access_key (string, required)
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type (string, required)
  - Indicates that the data appears in JSON format. Set to **application/json**.

### Response Parameters

- - details (object)
  - Details of the payment.

    - - amount (string)
      - Amount of the payment. Decimal.
    - - cart (object)
      - Describes the purchase items. Each object in the `cart` array contains the following fields:

        - - name (string)
          - The name of the item.
        - - price (string)
          - The price of the item in the currency defined in 'currency_code'.
        - - description (string)
          - Description of the item.
        - - quantity (number)
          - The quantity of the item.
        - - external_id (string)
          - External identifier of the item.
    - - currency_code (string)
      - Three-letter ISO 4217 code for the currency used in the 'amount' field.
    - - currency_symbol (string)
      - Unicode symbol for the currency specified in the 'currency_code' field.
    - - description (string)
      - Description of the payment.
    - - id (string)
      - ID of the payment. String starting with **payment_**.
- - operation_id (string)
  - ID of the operation.
- - token_id (string)
  - ID of the token

- /v1/pos/{pos}/paycode/{paycode}

- Get Paycode Details
- ```curl
  curl -X get
  https://sandboxpos.rapyd.net/v1/pos/ac3dbdfe-0e14-11e7-8115-0ef1982c1e4a/paycode/9600192074740892
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "34e6be2f-9e7f-44e6-8b6b-ef61bf9106f7"
      },
      "data": {
          "token_id": "f210fa96-b4ed-49bd-937a-a1b57496f6d3",
          "operation_id": "c7df3a73-039c-4690-b42e-47af363d2a9a",
          "details": {
              "id": "payment_b4c0f8ce17074fbedb0af9d8d3810806",
              "amount": "300.60",
              "currency_code": "EUR",
              "cart": [
                  {
                      "name": "Jet black shoes",
                      "price": "100.20000",
                      "description": "Shoes",
                      "quantity": 3,
                      "external_id": "A-1139"
                  }
              ],
              "description": "",
              "currency_symbol": "€"
          }
      }
  }
  ```
